%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  GaSP
%global packver   1.0.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.6
Release:          1%{?dist}%{?buildtag}
Summary:          Train and Apply a Gaussian Stochastic Process Model

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0

%description
Train a Gaussian stochastic process model of an unknown function, possibly
observed with error, via maximum likelihood or maximum a posteriori (MAP)
estimation, run model diagnostics, and make predictions, following Sacks,
J., Welch, W.J., Mitchell, T.J., and Wynn, H.P. (1989) "Design and
Analysis of Computer Experiments", Statistical Science,
<doi:10.1214/ss/1177012413>.  Perform sensitivity analysis and visualize
low-order effects, following Schonlau, M. and Welch, W.J. (2006),
"Screening the Input Variables to a Computer Model Via Analysis of
Variance and Visualization", <doi:10.1007/0-387-28014-6_14>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
